libwpg::WPGBitmap::Private Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Private Member Functions | List of all members
libwpg::WPGBitmap::Private Class Reference

## Public Member Functions
| Private (int w, int h)

## Public Attributes
int | width
int | height
int | vRes
int | hRes
bool | vFlip
bool | hFlip
WPGColor * | pixels
::librevenge::RVNGBinaryData | dib

## Private Member Functions
| Private (const Private &)
Private & | operator= (const Private &)

## Constructor & Destructor Documentation

libwpg::WPGBitmap::Private::Private | ( | int | w,
|  | int | h
| ) |  |
| inline

libwpg::WPGBitmap::Private::Private | ( | const Private & |  | ) |
| private

## Member Function Documentation

Private& libwpg::WPGBitmap::Private::operator= | ( | const Private & |  | ) |
| private

Referenced by Private().

## Member Data Documentation

::librevenge::RVNGBinaryData libwpg::WPGBitmap::Private::dib

Referenced by libwpg::WPGBitmap::getDIB().

int libwpg::WPGBitmap::Private::height

Referenced by libwpg::WPGBitmap::copyFrom(), libwpg::WPGBitmap::getDIB(), libwpg::WPGBitmap::height(), and libwpg::WPGBitmap::setPixel().

bool libwpg::WPGBitmap::Private::hFlip

Referenced by libwpg::WPGBitmap::getDIB(), and libwpg::WPGBitmap::WPGBitmap().

int libwpg::WPGBitmap::Private::hRes

Referenced by libwpg::WPGBitmap::hres(), and libwpg::WPGBitmap::WPGBitmap().

WPGColor* libwpg::WPGBitmap::Private::pixels

Referenced by libwpg::WPGBitmap::copyFrom(), libwpg::WPGBitmap::getDIB(), libwpg::WPGBitmap::setPixel(), libwpg::WPGBitmap::WPGBitmap(), and libwpg::WPGBitmap::~WPGBitmap().

bool libwpg::WPGBitmap::Private::vFlip

Referenced by libwpg::WPGBitmap::getDIB(), and libwpg::WPGBitmap::WPGBitmap().

int libwpg::WPGBitmap::Private::vRes

Referenced by libwpg::WPGBitmap::vres(), and libwpg::WPGBitmap::WPGBitmap().

int libwpg::WPGBitmap::Private::width

Referenced by libwpg::WPGBitmap::copyFrom(), libwpg::WPGBitmap::getDIB(), libwpg::WPGBitmap::setPixel(), and libwpg::WPGBitmap::width().

The documentation for this class was generated from the following file:

- WPGBitmap.cpp